"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Model;
(function (Model) {
    Model["company"] = "company";
    Model["campaign"] = "campaign";
    Model["advertisement"] = "advertisement";
    Model["post"] = "post";
    Model["insight"] = "insight";
    Model["person"] = "person";
    Model["historic"] = "historic";
    Model["region"] = "region";
    Model["sex"] = "sex";
    Model["age"] = "age";
    Model["category"] = "category";
    Model["star"] = "star";
    Model["sponsorshipEffectiveness"] = "sponsorshipEffectiveness";
    Model["spotEffectiveness"] = "spotEffectiveness";
    Model["advertisingEffectiveness"] = "advertisingEffectiveness";
    Model["insightTypePrice"] = "insightTypePrice";
    Model["nationality"] = "nationality";
    Model["religion"] = "religion";
    Model["all"] = "*";
    Model["allModelAndAllField"] = ">";
    Model["permission_role"] = "permission_role";
    Model["permission"] = "permission";
    Model["person_company"] = "person_company";
    Model["role"] = "role";
    Model["person_credential"] = "person_credential";
    Model["people_relationship"] = "people_relationship";
    Model["referral"] = "referral";
})(Model || (Model = {}));
exports.Model = Model;
var appTypes;
(function (appTypes) {
    appTypes["Web"] = "Web";
    appTypes["Mobile"] = "Mobile";
    appTypes["Feed"] = "Feed";
    appTypes["Others"] = "Others";
})(appTypes || (appTypes = {}));
exports.appTypes = appTypes;
var permission_roleFields;
(function (permission_roleFields) {
    permission_roleFields["_id"] = "_id";
    permission_roleFields["roleId"] = "roleId";
    permission_roleFields["permissionId"] = "permissionId";
    permission_roleFields["creationDt"] = "creationDt";
})(permission_roleFields || (permission_roleFields = {}));
exports.permission_roleFields = permission_roleFields;
var permissionFields;
(function (permissionFields) {
    permissionFields["_id"] = "_id";
    permissionFields["app"] = "app";
    permissionFields["permission"] = "permission";
    permissionFields["description"] = "description";
    permissionFields["enabled"] = "enabled";
    permissionFields["creationDt"] = "creationDt";
})(permissionFields || (permissionFields = {}));
exports.permissionFields = permissionFields;
var person_companyFields;
(function (person_companyFields) {
    person_companyFields["_id"] = "_id";
    person_companyFields["personId"] = "personId";
    person_companyFields["companyId"] = "companyId";
    person_companyFields["roleId"] = "roleId";
    person_companyFields["creationDt"] = "creationDt";
})(person_companyFields || (person_companyFields = {}));
exports.person_companyFields = person_companyFields;
var roleFields;
(function (roleFields) {
    roleFields["_id"] = "_id";
    roleFields["role"] = "role";
    roleFields["app"] = "app";
    roleFields["description"] = "description";
    roleFields["creationDt"] = "creationDt";
})(roleFields || (roleFields = {}));
exports.roleFields = roleFields;
var insightTypePriceFields;
(function (insightTypePriceFields) {
    insightTypePriceFields["_id"] = "_id";
    insightTypePriceFields["name"] = "name";
    insightTypePriceFields["thumbnail"] = "thumbnail";
    insightTypePriceFields["price"] = "price";
})(insightTypePriceFields || (insightTypePriceFields = {}));
exports.insightTypePriceFields = insightTypePriceFields;
var regionFields;
(function (regionFields) {
    regionFields["_id"] = "_id";
    regionFields["country"] = "country";
    regionFields["state"] = "state";
    regionFields["city"] = "city";
    regionFields["iso2"] = "iso2";
    regionFields["iso3"] = "iso3";
    regionFields["personIds"] = "personIds";
    regionFields["thumbnail"] = "thumbnail";
    regionFields["geoPoint"] = "geoPoint";
})(regionFields || (regionFields = {}));
exports.regionFields = regionFields;
var nationalityFields;
(function (nationalityFields) {
    nationalityFields["_id"] = "_id";
    nationalityFields["name"] = "name";
    nationalityFields["personIds"] = "personIds";
    nationalityFields["geoPoint"] = "geoPoint";
})(nationalityFields || (nationalityFields = {}));
exports.nationalityFields = nationalityFields;
var religionFields;
(function (religionFields) {
    religionFields["_id"] = "_id";
    religionFields["name"] = "name";
    religionFields["personIds"] = "personIds";
})(religionFields || (religionFields = {}));
exports.religionFields = religionFields;
var sexFields;
(function (sexFields) {
    sexFields["_id"] = "_id";
    sexFields["name"] = "name";
    sexFields["personIds"] = "personIds";
})(sexFields || (sexFields = {}));
exports.sexFields = sexFields;
var ageFields;
(function (ageFields) {
    ageFields["_id"] = "_id";
    ageFields["age"] = "age";
    ageFields["personIds"] = "personIds";
})(ageFields || (ageFields = {}));
exports.ageFields = ageFields;
var categoryFields;
(function (categoryFields) {
    categoryFields["_id"] = "_id";
    categoryFields["name"] = "name";
    categoryFields["personIds"] = "personIds";
    categoryFields["updatedDt"] = "updatedDt";
})(categoryFields || (categoryFields = {}));
exports.categoryFields = categoryFields;
var starFields;
(function (starFields) {
    starFields["_id"] = "_id";
    starFields["stars"] = "stars";
    starFields["customerPersonIds"] = "customerPersonIds";
    starFields["platformPersonIds"] = "platformPersonIds";
})(starFields || (starFields = {}));
exports.starFields = starFields;
var insightTypeFields;
(function (insightTypeFields) {
    insightTypeFields["_id"] = "_id";
    insightTypeFields["name"] = "name";
    insightTypeFields["thumbnail"] = "thumbnail";
    insightTypeFields["price"] = "price";
})(insightTypeFields || (insightTypeFields = {}));
exports.insightTypeFields = insightTypeFields;
var sponsorshipEffectivenessFields;
(function (sponsorshipEffectivenessFields) {
    sponsorshipEffectivenessFields["_id"] = "_id";
    sponsorshipEffectivenessFields["from"] = "from";
    sponsorshipEffectivenessFields["to"] = "to";
    sponsorshipEffectivenessFields["AdPrice"] = "AdPrice";
    sponsorshipEffectivenessFields["framePrice"] = "framePrice";
    sponsorshipEffectivenessFields["hashtagPrice"] = "hashtagPrice";
    sponsorshipEffectivenessFields["webSitePrice"] = "webSitePrice";
    sponsorshipEffectivenessFields["tagMentionMePrice"] = "tagMentionMePrice";
    sponsorshipEffectivenessFields["sealPrice"] = "sealPrice";
    sponsorshipEffectivenessFields["tagMentionPeoplePrice"] = "tagMentionPeoplePrice";
    sponsorshipEffectivenessFields["productUsagePrice"] = "productUsagePrice";
    sponsorshipEffectivenessFields["insightAveragePrice"] = "insightAveragePrice";
    sponsorshipEffectivenessFields["freezedBudget"] = "freezedBudget";
    sponsorshipEffectivenessFields["insightPriceFactor"] = "insightPriceFactor";
    sponsorshipEffectivenessFields["totalPrice"] = "totalPrice";
    sponsorshipEffectivenessFields["personIds"] = "personIds";
})(sponsorshipEffectivenessFields || (sponsorshipEffectivenessFields = {}));
exports.sponsorshipEffectivenessFields = sponsorshipEffectivenessFields;
var spotEffectivenessFields;
(function (spotEffectivenessFields) {
    spotEffectivenessFields["_id"] = "_id";
    spotEffectivenessFields["from"] = "from";
    spotEffectivenessFields["to"] = "to";
    spotEffectivenessFields["AdPrice"] = "AdPrice";
    spotEffectivenessFields["insightAveragePrice"] = "insightAveragePrice";
    spotEffectivenessFields["freezedBudget"] = "freezedBudget";
    spotEffectivenessFields["insightPriceFactor"] = "insightPriceFactor";
    spotEffectivenessFields["totalPrice"] = "totalPrice";
    spotEffectivenessFields["personIds"] = "personIds";
})(spotEffectivenessFields || (spotEffectivenessFields = {}));
exports.spotEffectivenessFields = spotEffectivenessFields;
var advertisingEffectivenessFields;
(function (advertisingEffectivenessFields) {
    advertisingEffectivenessFields["_id"] = "_id";
    advertisingEffectivenessFields["from"] = "from";
    advertisingEffectivenessFields["to"] = "to";
    advertisingEffectivenessFields["AdPrice"] = "AdPrice";
    advertisingEffectivenessFields["framePrice"] = "framePrice";
    advertisingEffectivenessFields["hashtagPrice"] = "hashtagPrice";
    advertisingEffectivenessFields["webSitePrice"] = "webSitePrice";
    advertisingEffectivenessFields["tagMentionMePrice"] = "tagMentionMePrice";
    advertisingEffectivenessFields["sealPrice"] = "sealPrice";
    advertisingEffectivenessFields["tagMentionPeoplePrice"] = "tagMentionPeoplePrice";
    advertisingEffectivenessFields["productUsagePrice"] = "productUsagePrice";
    advertisingEffectivenessFields["insightAveragePrice"] = "insightAveragePrice";
    advertisingEffectivenessFields["freezedBudget"] = "freezedBudget";
    advertisingEffectivenessFields["insightPriceFactor"] = "insightPriceFactor";
    advertisingEffectivenessFields["totalPrice"] = "totalPrice";
    advertisingEffectivenessFields["personIds"] = "personIds";
})(advertisingEffectivenessFields || (advertisingEffectivenessFields = {}));
exports.advertisingEffectivenessFields = advertisingEffectivenessFields;
var advertisementFields;
(function (advertisementFields) {
    advertisementFields["_id"] = "_id";
    advertisementFields["campaignId"] = "campaignId";
    advertisementFields["campaignName"] = "campaignName";
    advertisementFields["campaignType"] = "campaignType";
    advertisementFields["companyId"] = "companyId";
    advertisementFields["companyName"] = "companyName";
    advertisementFields["companyLogo"] = "companyLogo";
    advertisementFields["personId"] = "personId";
    advertisementFields["address_geoPoint"] = "address_geoPoint";
    advertisementFields["personGenre"] = "personGenre";
    advertisementFields["active"] = "active";
    advertisementFields["multimediaUri"] = "multimediaUri";
    advertisementFields["sponsored"] = "sponsored";
    advertisementFields["caption"] = "caption";
    advertisementFields["taggedPeople"] = "taggedPeople";
    advertisementFields["status"] = "status";
    advertisementFields["rejectionReason"] = "rejectionReason";
    advertisementFields["platformScore"] = "platformScore";
    advertisementFields["custumerScore"] = "custumerScore";
    advertisementFields["creationDt"] = "creationDt";
    advertisementFields["bannerIncluded"] = "bannerIncluded";
    advertisementFields["watermarkIncluded"] = "watermarkIncluded";
    advertisementFields["linkIncluded"] = "linkIncluded";
    advertisementFields["mentionToCompanyIncluded"] = "mentionIncluded";
    advertisementFields["hashtagIncluded"] = "hashtagIncluded";
    advertisementFields["mentionToOtherIncluded"] = "mentionToOtherIncluded";
    advertisementFields["productUsageIncluded"] = "productUsageIncluded";
    advertisementFields["productUsageOficialIncluded"] = "productUsageOficialIncluded";
    advertisementFields["engagementVelocityExpected"] = "engagementVelocityExpected";
    advertisementFields["engagementVelocityReal"] = "engagementVelocityReal";
    advertisementFields["budgetFreezed"] = "budgetFreezed";
    advertisementFields["moneyAvailable"] = "moneyAvailable";
    advertisementFields["moneyEarned"] = "moneyEarned";
    advertisementFields["zeroBudgetDt"] = "zeroBudgetDt";
    advertisementFields["advertisementPrice"] = "advertisementPrice";
    advertisementFields["socialMediaTarget"] = "socialMediaTarget";
    advertisementFields["facebookStatus"] = "facebookStatus";
    advertisementFields["instagramStatus"] = "instagramStatus";
    advertisementFields["twitterStatus"] = "twitterStatus";
    advertisementFields["tagPrice"] = "tagPrice";
    advertisementFields["tagCount"] = "tagCount";
    advertisementFields["likePrice"] = "likePrice";
    advertisementFields["likeCount"] = "likeCount";
    advertisementFields["sharedPrice"] = "sharedPrice";
    advertisementFields["sharedCount"] = "sharedCount";
    advertisementFields["linkPrice"] = "linkPrice";
    advertisementFields["linkCount"] = "linkCount";
    advertisementFields["printPrice"] = "printPrice";
    advertisementFields["printCount"] = "printCount";
    advertisementFields["mentionPrice"] = "mentionPrice";
    advertisementFields["mentionCount"] = "mentionCount";
    advertisementFields["hashtagPrice"] = "hashtagPrice";
    advertisementFields["hashtagCount"] = "hashtagCount";
    advertisementFields["commentPrice"] = "commentPrice";
    advertisementFields["commentCount"] = "commentCount";
    advertisementFields["notSponsoredTagCount"] = "notSponsoredTagCount";
    advertisementFields["notSponsoredLikeCount"] = "notSponsoredLikeCount";
    advertisementFields["notSponsoredSharedCount"] = "notSponsoredSharedCount";
    advertisementFields["notSponsoredLinkCount"] = "notSponsoredLinkCount";
    advertisementFields["notSponsoredPrintCount"] = "notSponsoredPrintCount";
    advertisementFields["notSponsoredMentionCount"] = "notSponsoredMentionCount";
    advertisementFields["notSponsoredHashtagCount"] = "notSponsoredHashtagCount";
    advertisementFields["notSponsoredCommentCount"] = "notSponsoredCommentCount";
    advertisementFields["facebookLikeCount"] = "facebookLikeCount";
    advertisementFields["facebookLinkCount"] = "facebookLinkCount";
    advertisementFields["facebookTagCount"] = "facebookTagCount";
    advertisementFields["facebookSharedCount"] = "facebookSharedCount";
    advertisementFields["facebookMentionCount"] = "facebookMentionCount";
    advertisementFields["facebookHashtagCount"] = "facebookHashtagCount";
    advertisementFields["facebookPrintCount"] = "facebookPrintCount";
    advertisementFields["facebookCommentCount"] = "facebookCommentCount";
    advertisementFields["twitterLikeCount"] = "twitterLikeCount";
    advertisementFields["twitterLinkCount"] = "twitterLinkCount";
    advertisementFields["twitterTagCount"] = "twitterTagCount";
    advertisementFields["twitterSharedCount"] = "twitterSharedCount";
    advertisementFields["twitterMentionCount"] = "twitterMentionCount";
    advertisementFields["twitterHashtagCount"] = "twitterHashtagCount";
    advertisementFields["twitterPrintCount"] = "twitterPrintCount";
    advertisementFields["twitterCommentCount"] = "twitterCommentCount";
    advertisementFields["instagramLikeCount"] = "instagramLikeCount";
    advertisementFields["instagramLinkCount"] = "instagramLinkCount";
    advertisementFields["instagramTagCount"] = "instagramTagCount";
    advertisementFields["instagramSharedCount"] = "instagramSharedCount";
    advertisementFields["instagramMentionCount"] = "instagramMentionCount";
    advertisementFields["instagramHashtagCount"] = "instagramHashtagCount";
    advertisementFields["instagramPrintCount"] = "instagramPrintCount";
    advertisementFields["instagramCommentCount"] = "instagramCommentCount";
})(advertisementFields || (advertisementFields = {}));
exports.advertisementFields = advertisementFields;
var advertisementStatusEnum;
(function (advertisementStatusEnum) {
    advertisementStatusEnum["NotSponsored"] = "NotSponsored";
    advertisementStatusEnum["WaitingForPlatformAudit"] = "WaitingForPlatformAudit";
    advertisementStatusEnum["WaitingForCustomerAudit"] = "WaitingForCustomerAudit";
    advertisementStatusEnum["RejectedByPlatform"] = "RejectedByPlatform";
    advertisementStatusEnum["RejectedByCustomer"] = "RejectedByCustomer";
    advertisementStatusEnum["Approved"] = "Approved";
})(advertisementStatusEnum || (advertisementStatusEnum = {}));
exports.advertisementStatusEnum = advertisementStatusEnum;
var postFields;
(function (postFields) {
    postFields["_id"] = "_id";
    postFields["advertisementId"] = "advertisementId";
    postFields["campaignId"] = "campaignId";
    postFields["companyId"] = "companyId";
    postFields["platform"] = "platform";
    postFields["postPlatformId"] = "postPlatformId";
    postFields["creationDt"] = "creationDt";
    postFields["feedDt"] = "feedDt";
    postFields["feedStatus"] = "feedStatus";
    postFields["status"] = "status";
    postFields["advertisementBudgetFreezed"] = "advertisementBudgetFreezed";
    postFields["engagementVelocity"] = "engagementVelocity";
    postFields["tagCount"] = "tagCount";
    postFields["likeCount"] = "likeCount";
    postFields["sharedCount"] = "sharedCount";
    postFields["linkCount"] = "linkCount";
    postFields["printCount"] = "printCount";
    postFields["mentionCount"] = "mentionCount";
    postFields["hashtagCount"] = "hashtagCount";
    postFields["commentCount"] = "commentCount";
    postFields["notSponsoredTagCount"] = "notSponsoredTagCount";
    postFields["notSponsoredLikeCount"] = "notSponsoredLikeCount";
    postFields["notSponsoredSharedCount"] = "notSponsoredSharedCount";
    postFields["notSponsoredLinkCount"] = "notSponsoredLinkCount";
    postFields["notSponsoredPrintCount"] = "notSponsoredPrintCount";
    postFields["notSponsoredMentionCount"] = "notSponsoredMentionCount";
    postFields["notSponsoredHashtagCount"] = "notSponsoredHashtagCount";
    postFields["notSponsoredCommentCount"] = "notSponsoredCommentCount";
    postFields["facebookLikeCount"] = "facebookLikeCount";
    postFields["facebookLinkCount"] = "facebookLinkCount";
    postFields["facebookTagCount"] = "facebookTagCount";
    postFields["facebookSharedCount"] = "facebookSharedCount";
    postFields["facebookMentionCount"] = "facebookMentionCount";
    postFields["facebookHashtagCount"] = "facebookHashtagCount";
    postFields["facebookPrintCount"] = "facebookPrintCount";
    postFields["facebookCommentCount"] = "facebookCommentCount";
    postFields["twitterLikeCount"] = "twitterLikeCount";
    postFields["twitterLinkCount"] = "twitterLinkCount";
    postFields["twitterTagCount"] = "twitterTagCount";
    postFields["twitterSharedCount"] = "twitterSharedCount";
    postFields["twitterMentionCount"] = "twitterMentionCount";
    postFields["twitterHashtagCount"] = "twitterHashtagCount";
    postFields["twitterPrintCount"] = "twitterPrintCount";
    postFields["twitterCommentCount"] = "twitterCommentCount";
    postFields["instagramLikeCount"] = "instagramLikeCount";
    postFields["instagramLinkCount"] = "instagramLinkCount";
    postFields["instagramTagCount"] = "instagramTagCount";
    postFields["instagramSharedCount"] = "instagramSharedCount";
    postFields["instagramMentionCount"] = "instagramMentionCount";
    postFields["instagramHashtagCount"] = "instagramHashtagCount";
    postFields["instagramPrintCount"] = "instagramPrintCount";
    postFields["instagramCommentCount"] = "instagramCommentCount";
})(postFields || (postFields = {}));
exports.postFields = postFields;
var socialMediaStatusEnum;
(function (socialMediaStatusEnum) {
    socialMediaStatusEnum["None"] = "None";
    socialMediaStatusEnum["Posting"] = "Posting";
    socialMediaStatusEnum["Posted"] = "Posted";
    socialMediaStatusEnum["Failed"] = "Failed";
    socialMediaStatusEnum["Removed"] = "Removed";
})(socialMediaStatusEnum || (socialMediaStatusEnum = {}));
exports.socialMediaStatusEnum = socialMediaStatusEnum;
var postFeedStatusEnum;
(function (postFeedStatusEnum) {
    postFeedStatusEnum["Idle"] = "Idle";
    postFeedStatusEnum["Fetching"] = "Fetching";
})(postFeedStatusEnum || (postFeedStatusEnum = {}));
exports.postFeedStatusEnum = postFeedStatusEnum;
var postPlatformEnum;
(function (postPlatformEnum) {
    postPlatformEnum["Facebook"] = "Facebook";
    postPlatformEnum["Instagram"] = "Instagram";
    postPlatformEnum["Twitter"] = "Twitter";
})(postPlatformEnum || (postPlatformEnum = {}));
exports.postPlatformEnum = postPlatformEnum;
var historicFields;
(function (historicFields) {
    historicFields["_id"] = "_id";
    historicFields["model"] = "model";
    historicFields["field"] = "field";
    historicFields["entityId"] = "entityId";
    historicFields["value"] = "value";
    historicFields["creationDt"] = "creationDt";
})(historicFields || (historicFields = {}));
exports.historicFields = historicFields;
var insightFields;
(function (insightFields) {
    insightFields["_id"] = "_id";
    insightFields["postId"] = "postId";
    insightFields["platform"] = "platform";
    insightFields["advertisementId"] = "advertisementId";
    insightFields["campaignId"] = "campaignId";
    insightFields["platformObjectIdentity"] = "platformObjectIdentity";
    insightFields["companyId"] = "companyId";
    insightFields["address_geoPoint"] = "address_geoPoint";
    insightFields["genre"] = "genre";
    insightFields["genderId"] = "genderId";
    insightFields["birthDateYear"] = "birthDateYear";
    insightFields["birthDateMonth"] = "birthDateMonth";
    insightFields["birthDateDay"] = "birthDateDay";
    insightFields["type"] = "type";
    insightFields["creationDt"] = "creationDt";
})(insightFields || (insightFields = {}));
exports.insightFields = insightFields;
var insightPlatformEnum;
(function (insightPlatformEnum) {
    insightPlatformEnum["Facebook"] = "Facebook";
    insightPlatformEnum["Instagram"] = "Instagram";
    insightPlatformEnum["Twitter"] = "Twitter";
})(insightPlatformEnum || (insightPlatformEnum = {}));
exports.insightPlatformEnum = insightPlatformEnum;
var insightGenreEnum;
(function (insightGenreEnum) {
    insightGenreEnum["Male"] = "Male";
    insightGenreEnum["Female"] = "Female";
    insightGenreEnum["Unknown"] = "Unknown";
})(insightGenreEnum || (insightGenreEnum = {}));
exports.insightGenreEnum = insightGenreEnum;
var insightTypeEnum;
(function (insightTypeEnum) {
    insightTypeEnum["Like"] = "Like";
    insightTypeEnum["Link"] = "Link";
    insightTypeEnum["Tag"] = "Tag";
    insightTypeEnum["Mention"] = "Mention";
    insightTypeEnum["Hashtag"] = "Hashtag";
    insightTypeEnum["Print"] = "Print";
    insightTypeEnum["Shared"] = "Shared";
    insightTypeEnum["Comment"] = "Comment";
})(insightTypeEnum || (insightTypeEnum = {}));
exports.insightTypeEnum = insightTypeEnum;
var resourceTypeEnum;
(function (resourceTypeEnum) {
    resourceTypeEnum["frame"] = "frame";
    resourceTypeEnum["hashtag"] = "hashtag";
    resourceTypeEnum["webSite"] = "webSite";
    resourceTypeEnum["tagMentionMe"] = "tagMentionMe";
    resourceTypeEnum["seal"] = "seal";
    resourceTypeEnum["tagMentionPeople"] = "tagMentionPeople";
    resourceTypeEnum["productUsage"] = "productUsage";
    resourceTypeEnum["spot"] = "spot";
})(resourceTypeEnum || (resourceTypeEnum = {}));
exports.resourceTypeEnum = resourceTypeEnum;
var person_credentialFields;
(function (person_credentialFields) {
    person_credentialFields["_id"] = "_id";
    person_credentialFields["personId"] = "personId";
    person_credentialFields["platform"] = "platform";
    person_credentialFields["friendsFeedDt"] = "friendsFeedDt";
    person_credentialFields["friendsFeedStatus"] = "friendsFeedStatus";
    person_credentialFields["platformObjectIdentity"] = "platformObjectIdentity";
    person_credentialFields["status"] = "status";
    person_credentialFields["access_token"] = "access_token";
    person_credentialFields["expires"] = "expires";
    person_credentialFields["userName"] = "userName";
    person_credentialFields["password"] = "password";
    person_credentialFields["picture"] = "picture";
    person_credentialFields["birthday"] = "birthday";
    person_credentialFields["firstName"] = "firstName";
    person_credentialFields["lastName"] = "lastName";
    person_credentialFields["email"] = "email";
    person_credentialFields["creationDt"] = "creationDt";
})(person_credentialFields || (person_credentialFields = {}));
exports.person_credentialFields = person_credentialFields;
var person_credential_fiendsFeedStatusEnum;
(function (person_credential_fiendsFeedStatusEnum) {
    person_credential_fiendsFeedStatusEnum["Idle"] = "Idle";
    person_credential_fiendsFeedStatusEnum["Fetching"] = "Fetching";
})(person_credential_fiendsFeedStatusEnum || (person_credential_fiendsFeedStatusEnum = {}));
exports.person_credential_fiendsFeedStatusEnum = person_credential_fiendsFeedStatusEnum;
var person_credential_statusEnum;
(function (person_credential_statusEnum) {
    person_credential_statusEnum["NOT_LINKED"] = "NOT_LINKED";
    person_credential_statusEnum["LINKING"] = "LINKING";
    person_credential_statusEnum["LINKED"] = "LINKED";
    person_credential_statusEnum["FAILED"] = "FAILED";
    person_credential_statusEnum["EXPIRED"] = "EXPIRED";
})(person_credential_statusEnum || (person_credential_statusEnum = {}));
exports.person_credential_statusEnum = person_credential_statusEnum;
var platformEnum;
(function (platformEnum) {
    platformEnum["Facebook"] = "Facebook";
    platformEnum["Twitter"] = "Twitter";
    platformEnum["Instagram"] = "Instagram";
})(platformEnum || (platformEnum = {}));
exports.platformEnum = platformEnum;
var companyFields;
(function (companyFields) {
    companyFields["_id"] = "_id";
    companyFields["name"] = "name";
    companyFields["logo"] = "logo";
    companyFields["active"] = "active";
    companyFields["campaignsOnGoingCount"] = "campaignsOnGoingCount";
    companyFields["campaignsWaitingForApprovalCount"] = "campaignsWaitingForApprovalCount";
    companyFields["campaignsPendingForApprovalCount"] = "campaignsPendingForApprovalCount";
    companyFields["campaignsFinishedCount"] = "campaignsFinishedCount";
    companyFields["campaignsWaitingForPaymentCount"] = "campaignsWaitingForPaymentCount";
    companyFields["campaignsStoppedCount"] = "campaignsStoppedCount";
    companyFields["campaignsDraftCount"] = "campaignsDraftCount";
    companyFields["moneyPerEngagementExpected"] = "moneyPerEngagementExpected";
    companyFields["moneyPerEngagementReal"] = "moneyPerEngagementReal";
    companyFields["investment"] = "investment";
    companyFields["budgetAvailable"] = "budgetAvailable";
    companyFields["budgetFreezed"] = "budgetFreezed";
    companyFields["budgetSpent"] = "budgetSpent";
    companyFields["platformStars"] = "platformStars";
    companyFields["customerStars"] = "customerStars";
})(companyFields || (companyFields = {}));
exports.companyFields = companyFields;
var people_relationshipFields;
(function (people_relationshipFields) {
    people_relationshipFields["_id"] = "_id";
    people_relationshipFields["personId"] = "personId";
    people_relationshipFields["platformObjectIdentity"] = "platformObjectIdentity";
    people_relationshipFields["platform"] = "platform";
    people_relationshipFields["relationship"] = "relationship";
    people_relationshipFields["invitationStatus"] = "invitationStatus";
    people_relationshipFields["creationDt"] = "creationDt";
})(people_relationshipFields || (people_relationshipFields = {}));
exports.people_relationshipFields = people_relationshipFields;
var people_relationshipEnum;
(function (people_relationshipEnum) {
    people_relationshipEnum["FRIEND_OF"] = "FRIEND_OF";
    people_relationshipEnum["FOLLOWS_TO"] = "FOLLOWS_TO";
    people_relationshipEnum["FOLLOWED_BY"] = "FOLLOWED_BY";
})(people_relationshipEnum || (people_relationshipEnum = {}));
exports.people_relationshipEnum = people_relationshipEnum;
var campaignInfluencePeopleAsEnum;
(function (campaignInfluencePeopleAsEnum) {
    campaignInfluencePeopleAsEnum["IR"] = "IR";
    campaignInfluencePeopleAsEnum["ID"] = "ID";
})(campaignInfluencePeopleAsEnum || (campaignInfluencePeopleAsEnum = {}));
exports.campaignInfluencePeopleAsEnum = campaignInfluencePeopleAsEnum;
var personAvailableCampaignFields;
(function (personAvailableCampaignFields) {
    personAvailableCampaignFields["_id"] = "_id";
    personAvailableCampaignFields["companyId"] = "companyId";
    personAvailableCampaignFields["companyName"] = "companyName";
    personAvailableCampaignFields["companyLogo"] = "companyLogo";
    personAvailableCampaignFields["companyPlatformStars"] = "companyPlatformStars";
    personAvailableCampaignFields["companyCustomerStars"] = "companyCustomerStars";
    personAvailableCampaignFields["name"] = "name";
    personAvailableCampaignFields["type"] = "type";
    personAvailableCampaignFields["slogan"] = "slogan";
    personAvailableCampaignFields["brief"] = "brief";
    personAvailableCampaignFields["resources"] = "resources";
    personAvailableCampaignFields["paymentType"] = "paymentType";
    personAvailableCampaignFields["specificTarget"] = "specificTarget";
    personAvailableCampaignFields["categoryCriterias"] = "categoryCriterias";
})(personAvailableCampaignFields || (personAvailableCampaignFields = {}));
exports.personAvailableCampaignFields = personAvailableCampaignFields;
var campaignFields;
(function (campaignFields) {
    campaignFields["_id"] = "_id";
    campaignFields["companyId"] = "companyId";
    campaignFields["companyName"] = "companyName";
    campaignFields["companyLogo"] = "companyLogo";
    campaignFields["companyPlatformStars"] = "companyPlatformStars";
    campaignFields["companyCustomerStars"] = "companyCustomerStars";
    campaignFields["name"] = "name";
    campaignFields["slogan"] = "slogan";
    campaignFields["brief"] = "brief";
    campaignFields["specificTarget"] = "specificTarget";
    campaignFields["influencePeopleAs"] = "influencePeopleAs";
    campaignFields["influencerPerEachOfThem"] = "influencerPerEachOfThem";
    campaignFields["followers"] = "followers";
    campaignFields["type"] = "type";
    campaignFields["paymentType"] = "paymentType";
    campaignFields["productPaymentDescription"] = "productPaymentDescription";
    campaignFields["paymentPerEach"] = "paymentPerEach";
    campaignFields["regionCriterias"] = "regionCriterias";
    campaignFields["regionScope"] = "regionScope";
    campaignFields["nationalityCriterias"] = "nationalityCriterias";
    campaignFields["nationalityScope"] = "nationalityScope";
    campaignFields["religionCriterias"] = "religionCriterias";
    campaignFields["religionScope"] = "religionScope";
    campaignFields["sexCriterias"] = "sexCriterias";
    campaignFields["sexScope"] = "sexScope";
    campaignFields["adsPerIR"] = "adsPerIR";
    campaignFields["resources"] = "resources";
    campaignFields["nextStatuses"] = "nextStatuses";
    campaignFields["customerStarCriterias"] = "customerStarCriterias";
    campaignFields["platformStarCriterias"] = "platformStarCriterias";
    campaignFields["customerStarScope"] = "customerStarScope";
    campaignFields["platformStarScope"] = "platformStarScope";
    campaignFields["sponsorshipEffectivenessCriterias"] = "sponsorshipEffectivenessCriterias";
    campaignFields["sponsorshipEffectivenessScope"] = "sponsorshipEffectivenessScope";
    campaignFields["sponsorshipEffectivenessScopeAll"] = "sponsorshipEffectivenessScopeAll";
    campaignFields["spotEffectivenessCriterias"] = "spotEffectivenessCriterias";
    campaignFields["spotEffectivenessScope"] = "spotEffectivenessScope";
    campaignFields["spotEffectivenessScopeAll"] = "spotEffectivenessScopeAll";
    campaignFields["advertisingEffectivenessCriterias"] = "advertisingEffectivenessCriterias";
    campaignFields["advertisingEffectivenessScope"] = "advertisingEffectivenessScope";
    campaignFields["advertisingEffectivenessScopeAll"] = "advertisingEffectivenessScopeAll";
    campaignFields["categoryCriterias"] = "categoryCriterias";
    campaignFields["categoryScope"] = "categoryScope";
    campaignFields["ageCriterias"] = "ageCriterias";
    campaignFields["ageScope"] = "ageScope";
    campaignFields["specificTargetScope"] = "specificTargetScope";
    campaignFields["regionCriteriaUpdatedDt"] = "regionCriteriaUpdatedDt";
    campaignFields["nationalityCriteriaUpdatedDt"] = "nationalityCriteriaUpdatedDt";
    campaignFields["religionCriteriaUpdatedDt"] = "religionCriteriaUpdatedDt";
    campaignFields["ageCriteriaUpdatedDt"] = "ageCriteriaUpdatedDt";
    campaignFields["sexCriteriaUpdatedDt"] = "sexCriteriaUpdatedDt";
    campaignFields["customerStarCriteriaUpdatedDt"] = "customerStarCriteriaUpdatedDt";
    campaignFields["platformStarCriteriaUpdatedDt"] = "platformStarCriteriaUpdatedDt";
    campaignFields["sponsorshipEffectivenessCriteriaUpdatedDt"] = "sponsorshipEffectivenessCriteriaUpdatedDt";
    campaignFields["spotEffectivenessCriteriaUpdatedDt"] = "spotEffectivenessCriteriaUpdatedDt";
    campaignFields["advertisingEffectivenessCriteriaUpdatedDt"] = "advertisingEffectivenessCriteriaUpdatedDt";
    campaignFields["categoryCriteriaUpdatedDt"] = "categoryCriteriaUpdatedDt";
    campaignFields["endDt"] = "endDt";
    campaignFields["startDt"] = "startDt";
    campaignFields["active"] = "active";
    campaignFields["status"] = "status";
    campaignFields["investment"] = "investment";
    campaignFields["budgetAvailable"] = "budgetAvailable";
    campaignFields["budgetFreezed"] = "budgetFreezed";
    campaignFields["budgetSpent"] = "budgetSpent";
    campaignFields["moneyPerEngagementExpected"] = "moneyPerEngagementExpected";
    campaignFields["moneyPerEngagementReal"] = "moneyPerEngagementReal";
    campaignFields["engagementReal"] = "engagementReal";
    campaignFields["engagementExpected"] = "engagementExpected";
    campaignFields["influencersExpected"] = "influencersExpected";
    campaignFields["engagementVelocityReal"] = "engagementVelocityReal";
    campaignFields["engagementVelocityExpected"] = "engagementVelocityExpected";
    campaignFields["forecastDays"] = "forecastDays";
    campaignFields["influencersScope"] = "influencersScope";
    campaignFields["influencedScopeCount"] = "influencedScopeCount";
    campaignFields["influencedExtraScopeCount"] = "influencedExtraScopeCount";
    campaignFields["influencersScopeCount"] = "influencersScopeCount";
    campaignFields["engagementScopeCount"] = "engagementScopeCount";
    campaignFields["influencersScopeAll"] = "influencersScopeAll";
    campaignFields["peopleCollectionUpdateDt"] = "peopleCollectionUpdateDt";
    campaignFields["creationDt"] = "creationDt";
    campaignFields["engagementFacebook"] = "engagementFacebook";
    campaignFields["engagementInstagram"] = "engagementInstagram";
    campaignFields["engagementTwitter"] = "engagementTwitter";
    campaignFields["tagCount"] = "tagCount";
    campaignFields["likeCount"] = "likeCount";
    campaignFields["sharedCount"] = "sharedCount";
    campaignFields["linkCount"] = "linkCount";
    campaignFields["printCount"] = "printCount";
    campaignFields["mentionCount"] = "mentionCount";
    campaignFields["hashtagCount"] = "hashtagCount";
    campaignFields["commentCount"] = "commentCount";
    campaignFields["engagementNotSponsored"] = "engagementNotSponsored";
    campaignFields["engagementMaleInfluencer"] = "engagementMaleInfluencer";
    campaignFields["engagementFemaleInfluencer"] = "engagementFemaleInfluencer";
    campaignFields["engagementMaleInfluenced"] = "engagementMaleInfluenced";
    campaignFields["engagementFemaleInfluenced"] = "engagementFemaleInfluenced";
    campaignFields["engagementAnonymousInfluenced"] = "engagementAnonymousInfluenced";
    campaignFields["investmentRequired"] = "investmentRequired";
    campaignFields["influencersTotal"] = "influencersTotal";
    campaignFields["influencersTotalHistoric"] = "influencersTotalHistoric";
    campaignFields["engagementRealHistoric"] = "engagementRealHistoric";
    campaignFields["engagementNotSponsoredTotalHistory"] = "engagementNotSponsoredTotalHistory";
    campaignFields["facebookLikeCount"] = "facebookLikeCount";
    campaignFields["facebookLinkCount"] = "facebookLinkCount";
    campaignFields["facebookTagCount"] = "facebookTagCount";
    campaignFields["facebookSharedCount"] = "facebookSharedCount";
    campaignFields["facebookMentionCount"] = "facebookMentionCount";
    campaignFields["facebookHashtagCount"] = "facebookHashtagCount";
    campaignFields["facebookPrintCount"] = "facebookPrintCount";
    campaignFields["facebookCommentCount"] = "facebookCommentCount";
    campaignFields["twitterLikeCount"] = "twitterLikeCount";
    campaignFields["twitterLinkCount"] = "twitterLinkCount";
    campaignFields["twitterTagCount"] = "twitterTagCount";
    campaignFields["twitterSharedCount"] = "twitterSharedCount";
    campaignFields["twitterMentionCount"] = "twitterMentionCount";
    campaignFields["twitterHashtagCount"] = "twitterHashtagCount";
    campaignFields["twitterPrintCount"] = "twitterPrintCount";
    campaignFields["twitterCommentCount"] = "twitterCommentCount";
    campaignFields["instagramLikeCount"] = "instagramLikeCount";
    campaignFields["instagramLinkCount"] = "instagramLinkCount";
    campaignFields["instagramTagCount"] = "instagramTagCount";
    campaignFields["instagramSharedCount"] = "instagramSharedCount";
    campaignFields["instagramMentionCount"] = "instagramMentionCount";
    campaignFields["instagramHashtagCount"] = "instagramHashtagCount";
    campaignFields["instagramPrintCount"] = "instagramPrintCount";
    campaignFields["instagramCommentCount"] = "instagramCommentCount";
    campaignFields["facebookMaleInfluencerCount"] = "facebookMaleInfluencerCount";
    campaignFields["facebookFemaleInfluencerCount"] = "facebookFemaleInfluencerCount";
    campaignFields["facebookMaleInfluencedCount"] = "facebookMaleInfluencedCount";
    campaignFields["facebookAnonymousInfluencedCount"] = "facebookAnonymousInfluencedCount";
    campaignFields["facebookFemaleInfluencedCount"] = "facebookFemaleInfluencedCount";
    campaignFields["twitterMaleInfluencerCount"] = "twitterMaleInfluencerCount";
    campaignFields["twitterFemaleInfluencerCount"] = "twitterFemaleInfluencerCount";
    campaignFields["twitterMaleInfluencedCount"] = "twitterMaleInfluencedCount";
    campaignFields["twitterAnonymousInfluencedCount"] = "twitterAnonymousInfluencedCount";
    campaignFields["twitterFemaleInfluencedCount"] = "twitterFemaleInfluencedCount";
    campaignFields["instagramMaleInfluencerCount"] = "instagramMaleInfluencerCount";
    campaignFields["instagramFemaleInfluencerCount"] = "instagramFemaleInfluencerCount";
    campaignFields["instagramMaleInfluencedCount"] = "instagramMaleInfluencedCount";
    campaignFields["instagramAnonymousInfluencedCount"] = "instagramAnonymousInfluencedCount";
    campaignFields["instagramFemaleInfluencedCount"] = "instagramFemaleInfluencedCount";
    campaignFields["facebookMaleInfluencerCardinal"] = "facebookMaleInfluencerCardinal";
    campaignFields["facebookFemaleInfluencerCardinal"] = "facebookFemaleInfluencerCardinal";
    campaignFields["twitterMaleInfluencerCardinal"] = "twitterMaleInfluencerCardinal";
    campaignFields["twitterFemaleInfluencerCardinal"] = "twitterFemaleInfluencerCardinal";
    campaignFields["instagramMaleInfluencerCardinal"] = "instagramMaleInfluencerCardinal";
    campaignFields["instagramFemaleInfluencerCardinal"] = "instagramFemaleInfluencerCardinal";
    campaignFields["facebookMaleInfluencedCardinal"] = "facebookMaleInfluencedCardinal";
    campaignFields["facebookFemaleInfluencedCardinal"] = "facebookFemaleInfluencedCardinal";
    campaignFields["twitterMaleInfluencedCardinal"] = "twitterMaleInfluencedCardinal";
    campaignFields["twitterFemaleInfluencedCardinal"] = "twitterFemaleInfluencedCardinal";
    campaignFields["instagramMaleInfluencedCardinal"] = "instagramMaleInfluencedCardinal";
    campaignFields["instagramFemaleInfluencedCardinal"] = "instagramFemaleInfluencedCardinal";
    campaignFields["facebookInfluencedsCardinal"] = "facebookInfluencedsCardinal";
    campaignFields["facebookInfluencersCardinal"] = "facebookInfluencersCardinal";
    campaignFields["instagramInfluencedsCardinal"] = "instagramInfluencedsCardinal";
    campaignFields["instagramInfluencersCardinal"] = "instagramInfluencersCardinal";
    campaignFields["twitterInfluencedsCardinal"] = "twitterInfluencedsCardinal";
    campaignFields["twitterInfluencersCardinal"] = "twitterInfluencersCardinal";
})(campaignFields || (campaignFields = {}));
exports.campaignFields = campaignFields;
var campaignSpecificTargetScopeFields;
(function (campaignSpecificTargetScopeFields) {
    campaignSpecificTargetScopeFields["personId"] = "personId";
    campaignSpecificTargetScopeFields["firstName"] = "firstName";
    campaignSpecificTargetScopeFields["lastName"] = "lastName";
    campaignSpecificTargetScopeFields["key"] = "key";
    campaignSpecificTargetScopeFields["sponsorshipEffectiveness"] = "sponsorshipEffectiveness";
    campaignSpecificTargetScopeFields["spotEffectiveness"] = "spotEffectiveness";
    campaignSpecificTargetScopeFields["advertisingEffectiveness"] = "advertisingEffectiveness";
})(campaignSpecificTargetScopeFields || (campaignSpecificTargetScopeFields = {}));
exports.campaignSpecificTargetScopeFields = campaignSpecificTargetScopeFields;
var itemMoment;
(function (itemMoment) {
    itemMoment["timespan"] = "timespan";
    itemMoment["value"] = "value";
})(itemMoment || (itemMoment = {}));
exports.itemMoment = itemMoment;
var genreType;
(function (genreType) {
    genreType["Male"] = "Male";
    genreType["Female"] = "Female";
})(genreType || (genreType = {}));
exports.genreType = genreType;
var coordinate;
(function (coordinate) {
    coordinate["value"] = "value";
})(coordinate || (coordinate = {}));
exports.coordinate = coordinate;
var campaignStatusEnum;
(function (campaignStatusEnum) {
    campaignStatusEnum["PreDraft"] = "PreDraft";
    campaignStatusEnum["Draft"] = "Draft";
    campaignStatusEnum["OnGoing"] = "OnGoing";
    campaignStatusEnum["WaitingForPayment"] = "WaitingForPayment";
    campaignStatusEnum["WaitingForApproval"] = "WaitingForApproval";
    campaignStatusEnum["Stopped"] = "Stopped";
    campaignStatusEnum["Finished"] = "Finished";
})(campaignStatusEnum || (campaignStatusEnum = {}));
exports.campaignStatusEnum = campaignStatusEnum;
var campaignTypeEnum;
(function (campaignTypeEnum) {
    campaignTypeEnum["Spot"] = "Spot";
    campaignTypeEnum["Sponsorship"] = "Sponsorship";
    campaignTypeEnum["Advertising"] = "Advertising";
})(campaignTypeEnum || (campaignTypeEnum = {}));
exports.campaignTypeEnum = campaignTypeEnum;
var campaignPaymentTypeEnum;
(function (campaignPaymentTypeEnum) {
    campaignPaymentTypeEnum["Money"] = "Money";
    campaignPaymentTypeEnum["Product"] = "Product";
})(campaignPaymentTypeEnum || (campaignPaymentTypeEnum = {}));
exports.campaignPaymentTypeEnum = campaignPaymentTypeEnum;
var personFields;
(function (personFields) {
    personFields["_id"] = "_id";
    personFields["username"] = "username";
    personFields["password"] = "password";
    personFields["roleIds"] = "roleIds";
    personFields["firstName"] = "firstName";
    personFields["lastName"] = "lastName";
    personFields["email"] = "email";
    personFields["nationality"] = "nationality";
    personFields["religion"] = "religion";
    personFields["thumbnail"] = "thumbnail";
    personFields["genre"] = "genre";
    personFields["genderId"] = "genderId";
    personFields["birthDateYear"] = "birthDateYear";
    personFields["birthDateMonth"] = "birthDateMonth";
    personFields["birthDateDay"] = "birthDateDay";
    personFields["age"] = "age";
    personFields["facebookId"] = "facebookId";
    personFields["instagramId"] = "instagramId";
    personFields["twitterId"] = "twitterId";
    personFields["key"] = "key";
    personFields["categories"] = "categories";
    personFields["customerStars"] = "customerStars";
    personFields["platformStars"] = "platformStars";
    personFields["sponsorshipEffectiveness"] = "sponsorshipEffectiveness";
    personFields["sponsorshipFreezedBudgetReference"] = "sponsorshipFreezedBudgetReference";
    personFields["sponsorshipEffectivenessReference"] = "sponsorshipEffectivenessReference";
    personFields["spotEffectiveness"] = "spotEffectiveness";
    personFields["spotFreezedBudgetReference"] = "spotFreezedBudgetReference";
    personFields["spotEffectivenessReference"] = "spotEffectivenessReference";
    personFields["advertisingEffectiveness"] = "advertisingEffectiveness";
    personFields["advertisingFreezedBudgetReference"] = "advertisingFreezedBudgetReference";
    personFields["advertisingEffectivenessReference"] = "advertisingEffectivenessReference";
    personFields["countryId"] = "countryId";
    personFields["stateId"] = "stateId";
    personFields["address_regionId"] = "address_regionId";
    personFields["address_street"] = "address_street";
    personFields["address_postalCode"] = "address_postalCode";
    personFields["address_geoPoint"] = "address_geoPoint";
    personFields["campaignsUpdatedDt"] = "campaignsUpdatedDt";
    personFields["sponsorshipCampaigns"] = "sponsorshipCampaigns";
    personFields["spotCampaigns"] = "spotCampaigns";
    personFields["advertisingCampaigns"] = "advertisingCampaigns";
    personFields["sponsorshipCampaignsCount"] = "sponsorshipCampaignsCount";
    personFields["advertisingCampaignsCount"] = "advertisingCampaignsCount";
    personFields["spotCampaignsCount"] = "spotCampaignsCount";
    personFields["referralsUpdateDt"] = "referralsUpdateDt";
    personFields["referralsCount"] = "referralsCount";
    personFields["referralClanCount"] = "referralClanCount";
    personFields["referralTitheTotal"] = "referralTitheTotal";
    personFields["nonSponsoredAdsCount"] = "nonSponsoredAdsCount";
    personFields["sponsorshipAdsCount"] = "sponsorshipAdsCount";
    personFields["sponsorshipEarnedMoneyTotal"] = "sponsorshipEarnedMoneyTotal";
    personFields["spotAdsCount"] = "spotAdsCount";
    personFields["spotEarnedMoneyTotal"] = "spotEarnedMoneyTotal";
    personFields["advertisingAdsCount"] = "advertisingAdsCount";
    personFields["advertisingEarnedMoneyTotal"] = "advertisingEarnedMoneyTotal";
    personFields["influencerCategory"] = "influencerCategory";
    personFields["sponsorshipCampaignCategories"] = "sponsorshipCampaignCategories";
    personFields["spotCampaignCategories"] = "spotCampaignCategories";
    personFields["advertisingCampaignCategories"] = "advertisingCampaignCategories";
    personFields["potentialReferralsUpdatedDt"] = "potentialReferralsUpdatedDt";
    personFields["potentialReferrals"] = "potentialReferrals";
})(personFields || (personFields = {}));
exports.personFields = personFields;
var personPotentialReferralsFields;
(function (personPotentialReferralsFields) {
    personPotentialReferralsFields["status"] = "status";
    personPotentialReferralsFields["potentialReferral"] = "potentialReferral";
})(personPotentialReferralsFields || (personPotentialReferralsFields = {}));
exports.personPotentialReferralsFields = personPotentialReferralsFields;
var People_relationshipInvitationStatusEnum;
(function (People_relationshipInvitationStatusEnum) {
    People_relationshipInvitationStatusEnum["DIDNOTSEND"] = "DIDNOTSEND";
    People_relationshipInvitationStatusEnum["SENT"] = "SENT";
    People_relationshipInvitationStatusEnum["ACCEPTED"] = "ACCEPTED";
    People_relationshipInvitationStatusEnum["REJECTED"] = "REJECTED";
})(People_relationshipInvitationStatusEnum || (People_relationshipInvitationStatusEnum = {}));
exports.People_relationshipInvitationStatusEnum = People_relationshipInvitationStatusEnum;
var influencerCategoryEnum;
(function (influencerCategoryEnum) {
    influencerCategoryEnum["KING"] = "KING";
    influencerCategoryEnum["QUEEN"] = "QUEEN";
    influencerCategoryEnum["PRINCE"] = "PRINCE";
    influencerCategoryEnum["PRINCESS"] = "PRINCESS";
    influencerCategoryEnum["DUKE"] = "DUKE";
    influencerCategoryEnum["DUCHESS"] = "DUCHESS";
    influencerCategoryEnum["PEASANT"] = "PEASANT";
})(influencerCategoryEnum || (influencerCategoryEnum = {}));
exports.influencerCategoryEnum = influencerCategoryEnum;
var nationalityEnum;
(function (nationalityEnum) {
    nationalityEnum["Argentina"] = "Argentina";
    nationalityEnum["EstadosUnidos"] = "EstadosUnidos";
    nationalityEnum["Venezuela"] = "Venezuela";
    nationalityEnum["Colombia"] = "Colombia";
})(nationalityEnum || (nationalityEnum = {}));
exports.nationalityEnum = nationalityEnum;
var religionEnum;
(function (religionEnum) {
    religionEnum["Cristiana"] = "Cristiana";
    religionEnum["Judia"] = "Judia";
    religionEnum["Indu"] = "Indu";
    religionEnum["Protestante"] = "Protestante";
})(religionEnum || (religionEnum = {}));
exports.religionEnum = religionEnum;
var referralFields;
(function (referralFields) {
    referralFields["_id"] = "_id";
    referralFields["referentPersonId"] = "referentPersonId";
    referralFields["referralPersonId"] = "referralPersonId";
    referralFields["titheTotal"] = "titheTotal";
    referralFields["creationDt"] = "creationDt";
    referralFields["referralFirstName"] = "referralFirstName";
    referralFields["referralLastName"] = "referralLastName";
    referralFields["referralThumbnail"] = "referralThumbnail";
    referralFields["referralCustomerStars"] = "referralCustomerStars";
    referralFields["referralPlatformStars"] = "referralPlatformStars";
    referralFields["referralReferralsCount"] = "referralReferralsCount";
    referralFields["referralReferralClanCount"] = "referralReferralClanCount";
    referralFields["referralInfluencerCategory"] = "referralInfluencerCategory";
    referralFields["referralNonSponsoredAdsCount"] = "referralNonSponsoredAdsCount";
    referralFields["referralSponsorshipAdsCount"] = "referralSponsorshipAdsCount";
    referralFields["referralAdvertisingAdsCount"] = "referralAdvertisingAdsCount";
    referralFields["referralSpotAdsCount"] = "referralSpotAdsCount";
})(referralFields || (referralFields = {}));
exports.referralFields = referralFields;
var appTypeEnum;
(function (appTypeEnum) {
    appTypeEnum["Web"] = "Web";
    appTypeEnum["Mobile"] = "Mobile";
    appTypeEnum["Feed"] = "Feed";
    appTypeEnum["Others"] = "Others";
})(appTypeEnum || (appTypeEnum = {}));
exports.appTypeEnum = appTypeEnum;
//# sourceMappingURL=index.js.map